Token volume series

GET /token/{id}/volume-series
GetTokenIdVolumeSeries

Trading volume time-series for the token over the lookback window.

Parameters

id string PATH required

Token identifier. Accepts internal token_id (integer) or coingecko_id (string, e.g. bitcoin).

Example:bitcoin

hours integer QUERY

Lookback window in hours.

Example:168

granularity string QUERY

Optional bucket size override. If provided, response is aggregated at this interval regardless of lookback window.

Allowed values
1h2h4h12h1d

Example:1h

Responses

200 OK
400 Bad Request ErrorResponse

Media type application/json

volume
array<object> optional

Token trading volume series.

volume[].time
string (date-time) optional

UTC timestamp for the data point.

volume[].value
number (double) optional

Numeric metric value for the timestamp.